Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.associations
Class AssociationProxyFactory

    java.lang.Object
      org.jini.rio.associations.AssociationProxyFactory

    public class AssociationProxyFactory

extends Object

Factory for dynamic proxies to manage a collection of associated services.

Constructor Summary
`AssociationProxyFactory()`

Method Summary
`static Object` | `createProxy(String proxyClassName, String strategyClassName, Association association, ClassLoader loader)` Create a proxy for associated services

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssociationProxyFactory

    public AssociationProxyFactory()

Method Detail

### createProxy

    public static Object createProxy(String proxyClassName,
                                     String strategyClassName,
                                     Association association,
                                     ClassLoader loader)
                              throws ClassNotFoundException,
                                     IllegalAccessException,
                                     InstantiationException

  Create a proxy for associated services

  Parameters:
    `proxyClassName` - The classname of the proxy to create. This class must be an instance of `AssociationProxy`
    `strategyClassName` - The classname of the `ServiceSelectionStrategy` to create. If this parameter is null, the AssociationProxy instance will not have a `ServiceSelectionStrategy` set
    `association` - The association for the proxy to use
    `loader` - The class loader to create the proxy with
  Returns:
    A generated proxy
  Throws:
    `ClassNotFoundException` - If the interfaces cannot be loaded
    `IllegalAccessException` - if the proxy class cannot be created
    `InstantiationException` - if the proxy class cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.